module Experian
  class DataDictionary
    def self.en_0000_column_name
      'Enhancement Mandatory Append'
    end

    def self.en_0000_description
      'The enrichment mandatory append is required when any data from the enrichment master file is appended. It consists of a match type.'
    end

    def self.en_0000_value_description(_key)
      ''
    end

    def self.en_0000(key)
      values = {
        'H' => 'Household Match',
        'F' => 'Household Match',
        'P' => 'Person Match',
        'I' => 'Person Match',
        'G' => 'Geographic or Area Level Match',
        'E' => 'Geographic or Area Level Match',
        'N' => 'Non-match'
      }
      key.empty? ? 'Non-match' : values[key]
    end
  end
end
