module Experian
  class DataDictionary
    def self.en_0110p_column_name
      'Person Type'
    end

    def self.en_0110p_value_description(_key)
      ''
    end

    def self.en_0110p_description
      'Assignment of person type in the living unit based on age and activity.'
    end

    def self.en_0110p(key)
      values = {
        'P' => 'Primary Decision Maker',
        'E' => 'Elderly Parent',
        'D' => 'Deceased',
        'Y' => 'Young Adult',
        'O' => 'Other or blank'
      }
      key.empty? ? 'Other or blank' : values[key]
    end
  end
end
