module Experian
  class DataDictionary
    def self.en_0130_column_name
      'Direct Mail Responder - Individual Level'
    end

    def self.en_0130_value_description(_key)
      ''
    end

    def self.en_0130_description
      'Direct Mail Responder information identifies consumers who have purchased by direct mail. Data is carried at the individual level. If one member of a household is a direct mail responder, that member will be coded as a direct mail responder at the individual level.'
    end

    def self.en_0130(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
