module Experian
  class DataDictionary
    # Mail Responders - Odds & Ends / Miscellaneous
    def self.en_0141_column_name
      'Mail Responders - Odds & Ends / Miscellaneous'
    end

    def self.en_0141_value_description(_key)
      ''
    end

    def self.en_0141_description
      'The Miscellaneous/Odds & Ends Categories information is compiled via mail order responsiveness by categorized offers/media. Information is collected from 300+ proprietary participants who give us mail order responders and we subsequently categorize them into 1 of 25 categories. No single participant\'s information may exceed 25% of any category.'
    end

    def self.en_0141(key)
      return 'Unknown' if key.empty? || key.to_i > 9 || key.size > 1

      if key.to_i == 1
        return key.to_i.to_s + ' Response'
      elsif key.to_i > 1 && key.to_i < 10 || key.to_i == 0
        return key.to_i.to_s + ' Responses'
      else
        return nil
      end
    end
  end
end
