module Experian
  class DataDictionary
    def self.en_8102_column_name
      'ZDonor'
    end

    def self.en_8102_value_description(_key)
      ''
    end

    def self.en_8102_description
      'ZDonor indicates a household self reported they contribute to charities. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories'
    end

    def self.en_8102(key)
      values = {
        'Y' => 'Household has indicated they contribute to charities',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
