module Experian
  class DataDictionary
    def self.en_8128_column_name
      'ZEnvironmental Donor'
    end

    def self.en_8128_value_description(_key)
      ''
    end

    def self.en_8128_description
      'ZEnvironmental donor indicates a household\'s has self reported donating to environmental causes. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8128(key)
      values = {
        'Y' => 'Household has indicated donating to environmental causes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
