module Experian
  class DataDictionary
    def self.en_8133_column_name
      'ZMail Order Multi-Buyer'
    end

    def self.en_8133_value_description(_key)
      ''
    end

    def self.en_8133_description
      'ZMail order multi-buyer indicates a household is a self reported mail order multibuyer. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8133(key)
      values = {
        'Y' => 'Household has indicated being a mail order multibuyer',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
