module Experian
  class DataDictionary
    def self.en_b3251_column_name
      'Shop: By Mail'
    end

    def self.en_b3251_value_description(_key)
      ''
    end

    def self.en_b3251_description
      'Lifestyles/Shopping Method. Direct reported survey data that represents household\'s that prefer to shop By Mail.'
    end

    def self.en_b3251(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
