module Experian
  class DataDictionary
    # Ailments Ind: Frequent Headaches
    def self.en_b5014_column_name
      'Ailments Ind: Frequent Headaches'
    end

    def self.en_b5014_value_description(_key)
      ''
    end

    def self.en_b5014_description
      'Ailments and Medications/Ailments. Direct reported survey data that represents respondent\'s that suffer from Frequent Headaches.'
    end

    def self.en_b5014(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
