module Experian
  class DataDictionary
    def self.en_0131_column_name
      'Multi-Company Direct Mail Responder - Living Units Level'
    end

    def self.en_0131_value_description(_key)
      ''
    end

    def self.en_0131_description
      'Direct Mail Responder information identifies consumers who have purchased by direct mail. Data is carried at both the individual and household level. If one member of a household is a direct mail responder at the individual level, the remaining members of the household will be coded as a direct mail responder at the household level.'
    end

    def self.en_0131(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown',
        'M' => 'Multi-Buyer (purchased from multiple mail order companies)'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
