module Experian
  class DataDictionary
    # MOR Bank- Deduped Hit Count
    def self.en_0132a_column_name
      'MOR Bank- Deduped Hit Count'
    end

    def self.en_0132a_value_description(_key)
      ''
    end

    def self.en_0132a_description
      'The total number of categories in which the living unit has at least one hit, but with any specific participant counted in only one category.'
    end

    def self.en_0132a(key)
      return 'Unknown' if key.size != 3 || key.to_i > 999
      key
    end

    # MOR Bank- Non-Deduped Hit Count
    def self.en_0132b_column_name
      'MOR Bank- Non-Deduped Hit Count'
    end

    def self.en_0132b_value_description(_key)
      ''
    end

    def self.en_0132b_description
      'The total number of categories in which the living unit has at least one hit, with participant hits counted in all applicable categories.'
    end

    def self.en_0132b(key)
      return 'Unknown' if key.size != 3 || key.to_i > 999
      key
    end
  end
end
