module Experian
  class DataDictionary
    def self.en_0133_column_name
      'Multi-Category Buyer'
    end

    def self.en_0133_value_description(_key)
      ''
    end

    def self.en_0133_description
      'Multi-category buyer information identifies consumers who have made purchases by direct mail in multiple product categories. Data is carried at the household level.'
    end

    def self.en_0133(key)
      values = {
        'Y' => 'Yes'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
