module Experian
  class DataDictionary
    def self.en_0164_column_name
      'Political Persona'
    end

    def self.en_0164_value_description(_key)
      ''
    end

    def self.en_0164_description
      'PoliticalPersona Segments provide a detailed understanding of key voter segments, demographics, responsiveness to various media platforms, and attitudes and opinions on important political issues and social trends. Gain in-depth information to the demographics and insights on voter attitudes by segment and detailed analysis of media preferences by segment. PoliticalPersona provide actionable data on voter attitudes and opinions in key areas such as healthcare, employment and social security, education, and more.'
    end

    def self.en_0164(key)
      political = [
        'Unknown',
        'Unconnected & Unregistered',
        'Informed But Unregistered',
        'Super Democrats',
        'Left Out Democrats',
        'Conservative Democrats',
        'On-the-Fence Liberals',
        'Green Traditionalists',
        'Mild Republicans',
        'Uninvolved Conservatives',
        'Ultra Conservatives'
      ]
      return 'Unknown' unless (0..10) === key.to_i
      political[key.to_i]
    end
  end
end
