module Experian
  class DataDictionary
    def self.en_313hh_column_name
      'Mosiac Household'
    end

    def self.en_313hh_description
      ''
    end

    def self.en_313hh(key)
      values = {
        'A01' => 'American Royalty',
        'A02' => 'Platinum Prosperity',
        'A03' => 'Kids and Cabernet',
        'A04' => 'Picture Perfect Families',
        'A05' => 'Couples with Clout',
        'A06' => 'Jet Set Urbanites',
        'B07' => 'Generational Soup',
        'B08' => 'Babies and Bliss',
        'B09' => 'Family Fun-tastic',
        'B10' => 'Asian Achievers',
        'C11' => 'Aging of Aquarius',
        'C12' => 'Golf Carts and Gourmets',
        'C13' => 'Silver Sophisticates',
        'C14' => 'Boomers and Boomerangs',
        'D15' => 'Sports Utility Families',
        'D16' => 'Settled in Suburbia',
        'D17' => 'Cul de Sac Diversity',
        'D18' => 'Soulful Spenders',
        'E19' => 'Full Pockets, Empty Nests',
        'E20' => 'No Place Like Home',
        'F22' => 'Fast Track Couples',
        'F23' => 'Families Matter Most',
        'G24' => 'Status Seeking Singles',
        'G25' => 'Urban Edge',
        'H26' => 'Progressive Potpourri',
        'H27' => 'Birkenstocks and Beemers',
        'H28' => 'Everyday Moderates',
        'H29' => 'Destination Recreation',
        'I30' => 'Stockcars and State Parks',
        'I31' => 'Blue Collar Comfort',
        'I32' => 'Latin Flair',
        'I33' => 'Hispanic Harmony',
        'J34' => 'Aging in Place',
        'J35' => 'Rural Escape',
        'J36' => 'Settled and Sensible',
        'K37' => 'Wired for Success',
        'K38' => 'Gotham Blend',
        'K39' => 'Metro Fusion',
        'L41' => 'Booming and Consuming',
        'L42' => 'Rooted Flower Power',
        'L43' => 'Homemade Happiness',
        'M44' => 'Red, White and Bluegrass',
        'M45' => 'Diapers and Debit Cards',
        'N46' => 'True Grit Americans',
        'N47' => 'Countrified Pragmatics',
        'N48' => 'Gospel and Grits',
        'N49' => 'Work Hard, Pray Hard',
        'O50' => 'Full Steam Ahead',
        'O51' => 'Digital Dependents',
        'O52' => 'Urban Ambition',
        'O53' => 'Colleges and Cafes',
        'O54' => 'Striving Single Scene',
        'O55' => 'Family Troopers',
        'P56' => 'Rolling the Dice',
        'P57' => 'Meager Metro Means',
        'P58' => 'Fragile Families',
        'P59' => 'Nuevo Horizons',
        'P60' => 'Ciudad Strivers',
        'P61' => 'Humble Beginnings',
        'Q62' => 'Reaping Rewards',
        'Q63' => 'Footloose and Family Free',
        'Q64' => 'Town Elders',
        'Q65' => 'Senior Discounts',
        'R66' => 'Dare to Dream',
        'R67' => 'Hope for Tomorrow',
        'S68' => 'Small Town Shallow Pockets',
        'S69' => 'Soul Survivors',
        'S70' => 'Enduring Hardships'
      }
      key.empty? ? 'Unknown' : values[key]
    end

    def self.en_313hh_value_description(key)
      values = {
        'A01' => 'Wealthy, influential and successful couples and families living in prestigious suburbs',
        'A02' => 'PWealthy and established empty-nesting couples residing in suburban and in-town homes',
        'A03' => 'Prosperous, middle-aged married couples with children living child-focused lives in affluent suburbs',
        'A04' => 'Established families of child-rearing households living in wealthy suburbs',
        'A05' => 'Middle-aged, childless couples living in affluent metro areas',
        'A06' => 'Mix of affluent singles and couples living high-rise, fashionable lives in urban neighborhoods',
        'B07' => 'Affluent couples and multi-generational families living a wide range of lifestyles in suburbia',
        'B08' => 'Middle-aged couples with large families and active lives in affluent suburbia',
        'B09' => 'Upscale, middle-aged families with older children pursuing busy kid-centered lives in satellite cities',
        'B10' => 'Affluent, mainly Asian couples and families enjoying dynamic lifestyles in metro areas',
        'C11' => 'Upscale boomer-aged couples living in city and close-in suburbs',
        'C12' => 'Upscale retirees and empty-nesters in comfortable communities',
        'C13' => 'Mature, upscale couples and singles in suburban homes',
        'C14' => 'Baby boomer adults and their teenage/young adult children sharing suburban homes',
        'D15' => 'Upscale, middle-aged couples with school-aged children living active family lifestyles in outlying suburbs',
        'D16' => 'Upper middle-class diverse family units and empty nesters living in established suburbs',
        'D17' => 'Ethnically-diverse, middle-aged families settled in new suburban neighborhoods',
        'D18' => 'Upper middle-class African-American couples and families living in the expanding suburbs',
        'E19' => 'Empty-nesting, upper middle-class households with discretionary income living sophisticated lifestyles',
        'E20' => 'No Place Like Home',
        'F22' => 'Active, young, upper middle-class suburban couples and families living upwardly-mobile lifestyles',
        'F23' => 'Young, middle-class families in scenic suburbs leading active, family-focused lives',
        'G24' => 'Younger, upwardly-mobile singles living in mid-scale metro areas leading leisure-intensive lifestyles',
        'G25' => 'Younger, up-and-coming singles living big city lifestyles located within top CBSA markets',
        'H26' => 'Mature, multi-ethnic couples with comfortable and active lives in middle-class suburbs',
        'H27' => 'Upper middle-class, established couples living leisure lifestyles in small towns and cities',
        'H28' => 'Mid-scale, multi-cultural couples and families living in mid-tier metro suburban settings',
        'H29' => 'Middle-aged, midscale couples in rural towns and fringe suburbs working to enjoy their active lifestyles',
        'I30' => 'Middle-class couples and families living in more remote rural communities',
        'I31' => 'Middle-class families in smaller cities and towns with solid blue-collar jobs',
        'I32' => 'Conventional Hispanic Generation X families located in selected coastal city homes',
        'I33' => 'Middle-class Hispanic families living lively lifestyles in city-centric neighborhoods',
        'J34' => 'Middle-class seniors living solid, suburban lifestyles',
        'J35' => 'Older, middle-class couples and singles living comfortable lives in rural towns',
        'J36' => 'Older, middle-class and empty-nesting couples and singles in city neighborhoods',
        'K37' => 'Young, mid-scale singles and couples living socially-active city lives',
        'K38' => 'Mix of middle-aged and middle-class singles and couples living urban New York City-area lifestyles',
        'K39' => 'Ethnically-diverse, middle-aged singles living urban active lifestyles',
        'L41' => 'Older empty-nesting couples and singles enjoying relaxed lives in small towns',
        'L42' => 'Mid-scale baby boomer singles and couples rooted in established suburban communities and approaching retirement',
        'L43' => 'Lower middle-class baby boomer households living in remote town and country homes',
        'M44' => 'Lower middle-income rural families with diverse adult and children household dynamics',
        'M45' => 'Young, working-class families and single parent households living in small established, city residences',
        'N46' => 'Older, middle-class households in town and country communities located in the nation\'s midsection',
        'N47' => 'Lower middle-income couples and singles living rural, casual lives',
        'N48' => 'Lower middle-income African-American multi-generational families living in small towns',
        'N49' => 'Working-class, middle-aged couples and singles living in rural homes',
        'O50' => 'Younger and middle-aged singles gravitating to second-tier cities',
        'O51' => 'Mix of Generation Y and X singles who live digital-driven, urban lifestyles',
        'O52' => 'Mainly Generation Y African-American singles and single families established in mid-market cities',
        'O53' => 'Young singles and recent college graduates living in college communities',
        'O54' => 'Young, multi-ethnic singles living in Midwest and Southern city centers',
        'O55' => 'Families and single-parent households living near military bases',
        'P56' => 'Middle-aged, mid-scale income singles and divorced individuals in secondary cities',
        'P57' => 'Mid-scale African-American singles established in inner-city communities',
        'P58' => 'Multi-cultural singles and families with mid and low incomes living settled lives in urban apartments',
        'P59' => 'Middle-aged, mid-scale income Hispanic families living mainly within US border cities',
        'P60' => 'Mid-scale Hispanic families and single parents in gateway communities',
        'P61' => 'Multi-ethnic singles and single-parent households with mid-scale incomes in city apartments',
        'Q62' => 'Relaxed, retired couples and widowed individuals in suburban homes living quiet lives',
        'Q63' => 'Elderly couples and widowed individuals living active and comfortable lifestyles',
        'Q64' => 'Stable, minimalist seniors living in older residences and leading sedentary lifestyles',
        'Q65' => 'Downscale, settled retirees in metro apartment communities',
        'R66' => 'Young singles, couples and single parents with lower incomes starting out in city apartments',
        'R67' => 'Young, lower-income African-American single parents in second-city apartments',
        'S68' => 'Older, down-scale singles and empty-nesters living in modest ex-urban small towns',
        'S69' => 'Older, down-scale African-Americans singles and single parents established in modest urban neighborhoods',
        'S70' => 'Middle-aged, down-scale singles and divorced individuals in transitional small town and ex-urban apartments'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
