module Experian
  class DataDictionary
    def self.en_8103_column_name
      'ZPets'
    end

    def self.en_8103_value_description(_key)
      ''
    end

    def self.en_8103_description
      'ZPets indicates a household has self reported being a pet enthusiast. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8103(key)
      values = {
        'Y' => 'Household has indicated being a pet enthusiast',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
