module Experian
  class DataDictionary
    def self.en_8109_column_name
      'ZInvestor'
    end

    def self.en_8109_value_description(_key)
      ''
    end

    def self.en_8109_description
      'Zinvestor indicates a household\'s has self reported an interest in investing. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8109(key)
      values = {
        'Y' => 'Household has indicated an interest in investing',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
