module Experian
  class DataDictionary
    def self.en_8123_column_name
      'ZDo-It-Yourselfer'
    end

    def self.en_8123_value_description(_key)
      ''
    end

    def self.en_8123_description
      'ZDo-it-yourselfer indicates a household is a self reported do-it-yourselfer. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8123(key)
      values = {
        'Y' => 'Household has indicated a do-it-yourselfer',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
