module Experian
  class DataDictionary
    def self.en_8136_column_name
      'ZDogs'
    end

    def self.en_8136_value_description(_key)
      ''
    end

    def self.en_8136_description
      'ZDogs indicates a household has self reported being dog enthusiasts. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8136(key)
      values = {
        'Y' => 'Household has indicated being dog enthusiasts',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
