module Experian
  class DataDictionary
    def self.en_8137_column_name
      'ZCats'
    end

    def self.en_8137_value_description(_key)
      ''
    end

    def self.en_8137_description
      'ZCats indicates a household has self reported being cat enthusiasts. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8137(key)
      values = {
        'Y' => 'Household has indicated being cat enthusiasts',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
