module Experian
  class DataDictionary
    def self.en_8180_column_name
      'Zactive Military'
    end

    def self.en_8180_value_description(_key)
      ''
    end

    def self.en_8180_description
      'ZActive Military indicates a household has self reported as being active military. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8180(key)
      values = {
        'Y' => 'Household has self reported being active military',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
