module Experian
  class DataDictionary
    def self.en_8181_column_name
      'Zinactive Military'
    end

    def self.en_8181_value_description(_key)
      ''
    end

    def self.en_8181_description
      'ZInactive Military indicates a household has self reported as being inactive military. BehaviorBank® Household Indicators groups similar self-reported elements into slightly broader categories.'
    end

    def self.en_8181(key)
      values = {
        'Y' => 'Household has self reported being inactive military',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
