module Experian
  class DataDictionary
    # Behavior Bank Mandatory Append
    def self.en_b000_column_name
      'Behavior Bank Mandatory Append'
    end

    def self.en_b000_value_description(_key)
      ''
    end

    def self.en_b000_description
      'The Behavior Bank mandatory append is required when any data from the Behavior Bank master file is appended. It consists of a match code.'
    end

    def self.en_b000(key)
      if key.size != 4
        return 'Non-match'
      elsif key.eql?('H') || key.eql?('F')
        return 'Household Match'
      elsif key.eql?('P') || key.eql?('I')
        return 'Person Match'
      end
    end
  end
end
