module Experian
  class DataDictionary
    def self.en_b3080_column_name
      'Invest: Mutual Funds - Currently'
    end

    def self.en_b3080_value_description(_key)
      ''
    end

    def self.en_b3080_description
      'Lifestyles/Financial Investments. Direct reported survey data that represents household\'s that have tendancy to invest in Mutual Funds - Currently.'
    end

    def self.en_b3080(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
