module Experian
  class DataDictionary
    def self.en_b3200_column_name
      'Lifestyle: Active Military Member'
    end

    def self.en_b3200_value_description(_key)
      ''
    end

    def self.en_b3200_description
      'Lifestyles/Members of Military and Government Office. Direct reported survey data that represents household\'s that Active Military Member present.'
    end

    def self.en_b3200(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
