module Experian
  class DataDictionary
    # Ailments Ind: Erectile Dysfunction
    def self.en_b5013_column_name
      'Ailments Ind: Erectile Dysfunction'
    end

    def self.en_b5013_value_description(_key)
      ''
    end

    def self.en_b5013_description
      'Ailments and Medications/Ailments. Direct reported survey data that represents respondent\'s that suffer from Erectile Dysfunction.'
    end

    def self.en_b5013(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
