module Experian
  class DataDictionary
    # Ailments Ind: Gastritis
    def self.en_b5016_column_name
      'Ailments Ind: Gastritis'
    end

    def self.en_b5016_value_description(_key)
      ''
    end

    def self.en_b5016_description
      'Ailments and Medications/Ailments. Direct reported survey data that represents respondent\'s that suffer from Gastritis.'
    end

    def self.en_b5016(key)
      values = {
        'Y' => 'Yes',
        'U' => 'Unknown'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
