module Experian
  class DataDictionary
    # ConsumerView Profitability Score
    def self.en_f031_column_name
      'Working Couples'
    end

    def self.en_f031_value_description(_key)
      ''
    end

    def self.en_f031_description
      'ConsumerView Profitability Score works to identifying households likely to pay their debts and ranks households that allow marketers to target the best prospects based on: profitability approval rates response rates likelihood to perform as prescribed'
    end

    def self.en_f031(key)
      values = {
        '01' => 'High profitability, high likelihood to perform',
        '02' => 'High profitability, high likelihood to perform',
        '03' => 'High profitability, high likelihood to perform',
        '04' => 'Good profitability, medium likelihood to perform',
        '05' => 'Good profitability, medium likelihood to perform',
        '06' => 'Fair profitability, medium likelihood to perform',
        '07' => 'Fair profitability, medium likelihood to perform',
        '08' => 'Poor Profitability, unlikely to perform',
        '09' => 'Poor Profitability, unlikely to perform',
        '10' => 'Poor Profitability, unlikely to perform',
        '11' => 'Low Profitability, unlikely to perform',
        '12' => 'Low Profitability, unlikely to perform',
        '13' => 'Low Profitability, unlikely to perform'
      }
      key.empty? ? 'Unknown' : values[key]
    end
  end
end
