module Experian
  class DataDictionary
    # New Median Mandatory Append
    def self.en_v000_column_name
      'New Median Mandatory Append'
    end

    def self.en_v000_value_description(_key)
      ''
    end

    def self.en_v000_description
      'The New Median mandatory append is required when any data from the New Median file is appended. It consists of a match level.'
    end

    def self.en_v000(key)
      values = {
        'Z' => 'Zip Level Match',
        '4' => 'Zip +4 Level Match'
      }
      key.empty? ? 'Non-match' : values[key]
    end
  end
end
